## org.plovr.i18n
Class PseudoTranslator

    java.lang.Object
      org.plovr.i18n.PseudoTranslator

    public final class PseudoTranslator

extends Object

`PseudoTranslator` translates an English string into a "pseudo-English" string which contains characters that are slightly different than the original English characters. For example, a lowercase 'a' will be rewritten as a lowercase Greek alpha. By displaying pseudo-translated strings in the UI, it makes it easier to see which strings have not been marked for translation.

Author:
  bolinfest@gmail.com (Michael Bolin)

Method Summary
`static void` `main(String[] args)`
`static String` `translate(String englishString)`
`static void` `translateXlf(File input, File output)`
`static void` `translateXlf(InputStream input, Writer output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### translate

    public static String translate(String englishString)

### translateXlf

    public static void translateXlf(File input,
                                    File output)
                             throws IOException,
                                    ParserConfigurationException,
                                    SAXException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

### translateXlf

    public static void translateXlf(InputStream input,
                                    Writer output)
                             throws IOException,
                                    ParserConfigurationException,
                                    SAXException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

### main

    public static void main(String[] args)